import { Brush } from "igniteui-react-core";
import { XYChart } from "./XYChart";
import { DomWrapper } from "igniteui-react-core";
import { EventArgs, IList, Type } from "igniteui-react-core";
import { IZoomSlider } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { DomainType } from "./DomainType";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-react-core";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-react-core";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { MarkerType } from "./MarkerType";
import { IZoomableCategoryAxis } from "./IZoomableCategoryAxis";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-react-core";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected ti(a: string, b: any, c: any): void;
    private alx;
    private alw;
    private alt;
    private al6;
    private afb;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private ah9;
    private ah7;
    private ah4;
    private ah6;
    private ah8;
    private ah5;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private amh;
    private amv;
    private ald;
    private amt;
    setGridRows(): void;
    protected sr(): void;
    private amd;
    private ame;
    private amn;
    private alc;
    private al3;
    protected so(a: XamDataChart): void;
    private amy;
    private am1;
    private amz;
    private am0;
    ahl(): number;
    s0(source_: any, a: number, b: any): void;
    s1(source_: any, a: number, b: any): void;
    sz(source_: any): void;
    s3(source_: any, a: number, b: any, c: any): void;
    protected su(a: Series, b: number): void;
    private aeh;
    private get aei();
    private set aei(value);
    private air;
    get aiy(): any;
    set aiy(a: any);
    private ais;
    get aiz(): any;
    set aiz(a: any);
    private aio;
    get aiv(): any;
    set aiv(a: any);
    private ait;
    get ai0(): any;
    set ai0(a: any);
    private aiu;
    get ai1(): any;
    set ai1(a: any);
    private aip;
    get aiw(): any;
    set aiw(a: any);
    private aiq;
    get aix(): any;
    set aix(a: any);
    private afz;
    get af0(): IZoomSlider;
    set af0(a: IZoomSlider);
    protected get_iy(): number;
    protected set_iy(a: number): void;
    protected get_gd(): boolean;
    protected set_gd(a: boolean): void;
    private ag9;
    get ahq(): number;
    set ahq(a: number);
    constructor();
    protected wm(): Axis;
    protected wn(): Axis;
    onAttachedToUI(): void;
    onDetachedFromUI(): void;
    protected bc(a: DataSeries): DataSeriesType;
    protected get_g2(): List$1<DataSeriesType>;
    protected get g2(): List$1<DataSeriesType>;
    protected get_g1(): List$1<IDataSeriesAdapterRule>;
    protected get g1(): List$1<IDataSeriesAdapterRule>;
    private ad4;
    private afi;
    private ad3;
    protected r5(): void;
    protected r1(a: Series, b: number): void;
    protected cr(a: Series): MarkerType;
    protected ty(a: DataSeries): void;
    protected t1(): void;
    private aem;
    private ael;
    private aev;
    private aeo;
    private aja;
    private ad5;
    private afj;
    private afp;
    private afq;
    private afo;
    private afr;
    private get af8();
    private ae5;
    private get ae6();
    private get agb();
    private ae3;
    private get ae4();
    private get af9();
    private ae7;
    private get ae8();
    private get aga();
    private afc;
    private get afd();
    protected c2(a: DataSeries, b: DataSeriesType): Series;
    protected t0(): void;
    protected aby(a: (arg1: Axis) => void, b: string): void;
    protected ab3(a: (arg1: Axis) => void, b: boolean): void;
    protected al5(a: (arg1: IZoomableCategoryAxis) => void): void;
    protected ab1(a: (arg1: TitleSettings) => void): void;
    protected ab6(a: (arg1: TitleSettings) => void): void;
    protected ab4(a: (arg1: AxisLabelSettings) => void): void;
    protected abz(a: (arg1: AxisLabelSettings) => void): void;
    protected sn(a: XamDataChart): void;
    private static aim;
    private ai2;
    private aj5;
    private aln;
    private ak9;
    private ala;
    private alf;
    private ali;
    private alg;
    private alh;
    private alj;
    private aig;
    protected sd(a: (arg1: Series, arg2: number) => void): void;
    private afv;
    private get volumeChart();
    private set volumeChart(value);
    private al8;
    private agc;
    private agg;
    private agd;
    private agf;
    private al7;
    private afs;
    private afu;
    private amp;
    kk(): any;
    ai7(): string;
    private aft;
    private amo;
    private agl;
    private amm;
    protected sk(): void;
    protected get_gj(): boolean;
    protected get agr(): boolean;
    private amu;
    private al9;
    protected s8(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private all;
    private ami;
    private get agq();
    private alm;
    private agh;
    private amc;
    private alq;
    private alv;
    private alu;
    private alo;
    private alp;
    private alz;
    private al2;
    private al0;
    private alb;
    private amg;
    private ams;
    private alr;
    private amq;
    private agk;
    private aly;
    private alk;
    private amk;
    private amj;
    private amb;
    private als;
    private ags;
    private amr;
    private ale;
    private aml;
    protected t6(a: Series, b: Series, c: DataSeries): void;
    private ai9;
    protected abt(a: Axis): void;
    protected abv(a: Axis): void;
    private al1;
    protected ss(a: Series, b: number): void;
    protected te(a: string, b: any, c: any): void;
    protected get_b1(): DomainType;
    get b1(): DomainType;
    private af7;
    get agp(): boolean;
    set agp(a: boolean);
    private aif;
    get ain(): number;
    set ain(a: number);
    private ahg;
    get ahz(): number;
    set ahz(a: number);
    private ahi;
    get ah1(): number;
    set ah1(a: number);
    private ahh;
    get ah0(): number;
    set ah0(a: number);
    private ahj;
    get ah2(): number;
    set ah2(a: number);
    get ahy(): number;
    get ahx(): number;
    private aen;
    get aep(): FinancialChartVolumeType;
    set aep(a: FinancialChartVolumeType);
    private aeq;
    get aer(): FinancialChartXAxisMode;
    set aer(a: FinancialChartXAxisMode);
    private ahb;
    get ahs(): number;
    set ahs(a: number);
    private ahe;
    get ahv(): number;
    set ahv(a: number);
    private ahc;
    get aht(): number;
    set aht(a: number);
    private ahd;
    get ahu(): number;
    set ahu(a: number);
    private ahf;
    get ahw(): number;
    set ahw(a: number);
    private aes;
    get aet(): FinancialChartYAxisMode;
    set aet(a: FinancialChartYAxisMode);
    private af2;
    get agi(): boolean;
    set agi(a: boolean);
    private aej;
    get aek(): FinancialChartType;
    set aek(a: FinancialChartType);
    protected get_acc(): HorizontalAlignment;
    protected set_acc(a: HorizontalAlignment): void;
    private af3;
    get agj(): boolean;
    set agj(a: boolean);
    private aex;
    get aey(): FinancialIndicatorTypeCollection;
    set aey(a: FinancialIndicatorTypeCollection);
    private aez;
    get ae0(): FinancialOverlayTypeCollection;
    set ae0(a: FinancialOverlayTypeCollection);
    private agu;
    private get indicatorCharts();
    private set indicatorCharts(value);
    private af5;
    get agn(): boolean;
    set agn(a: boolean);
    protected get_i6(): number;
    protected set_i6(a: number): void;
    private static readonly aki;
    private af4;
    get agm(): boolean;
    set agm(a: boolean);
    private static readonly akt;
    private af6;
    get ago(): boolean;
    set ago(a: boolean);
    private afw;
    get zoomSliderChart(): XamDataChart;
    set zoomSliderChart(a: XamDataChart);
    private afh;
    private get zoomSliderAxis();
    private set zoomSliderAxis(value);
    private ad2;
    private get zoomSliderXAxis();
    private set zoomSliderXAxis(value);
    private aeu;
    get aew(): FinancialChartZoomSliderType;
    set aew(a: FinancialChartZoomSliderType);
    private adl;
    get adt(): BrushCollection;
    set adt(a: BrushCollection);
    private adm;
    get adu(): BrushCollection;
    set adu(a: BrushCollection);
    private adn;
    get adv(): BrushCollection;
    set adv(a: BrushCollection);
    private ado;
    get adw(): BrushCollection;
    set adw(a: BrushCollection);
    private adq;
    get ady(): BrushCollection;
    set ady(a: BrushCollection);
    private adp;
    get adx(): BrushCollection;
    set adx(a: BrushCollection);
    private adk;
    get ads(): BrushCollection;
    set ads(a: BrushCollection);
    private adj;
    get adr(): BrushCollection;
    set adr(a: BrushCollection);
    private aha;
    get ahr(): number;
    set ahr(a: number);
    private ag8;
    get ahp(): number;
    set ahp(a: number);
    private ag7;
    get aho(): number;
    set aho(a: number);
    private ag6;
    get ahn(): number;
    set ahn(a: number);
    private ae9;
    get afa(): IndicatorDisplayTypeCollection;
    set afa(a: IndicatorDisplayTypeCollection);
    private aib;
    get aii(): number;
    set aii(a: number);
    private ag5;
    get ahm(): number;
    set ahm(a: number);
    private aie;
    get ail(): number;
    set ail(a: number);
    private aic;
    get aij(): number;
    set aij(a: number);
    private aia;
    get aih(): number;
    set aih(a: number);
    private aid;
    get aik(): number;
    set aik(a: number);
    private aee;
    get aeg(): FinancialChartRangeSelectorOptionCollection;
    set aeg(a: FinancialChartRangeSelectorOptionCollection);
    aef: FinancialChartRangeSelectorOptionCollection;
    private aea;
    get customIndicatorNames(): CustomIndicatorNameCollection;
    set customIndicatorNames(a: CustomIndicatorNameCollection);
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_gk(): boolean;
    protected set_gk(a: boolean): void;
    private amw;
    get amx(): Brush;
    set amx(a: Brush);
    private ahk;
    get ah3(): number;
    set ah3(a: number);
    private af1;
    get age(): boolean;
    set age(a: boolean);
    private ae1;
    get ae2(): IChartLegend;
    set ae2(a: IChartLegend);
    private ad1;
    private get xAxis();
    private set xAxis(value);
    private afg;
    private get yAxis();
    private set yAxis(value);
    private aff;
    private get volumeAxis();
    private set volumeAxis(value);
    private ad0;
    private get volumeXAxis();
    private set volumeXAxis(value);
    private afe;
    private get indicatorAxis();
    private set indicatorAxis(value);
    private adz;
    private get indicatorXAxis();
    private set indicatorXAxis(value);
    private agt;
    private get agw();
    private set agw(value);
    private agv;
    private get agy();
    private set agy(value);
    private ag2;
    get ag4(): Date;
    set ag4(a: Date);
    private ag1;
    get ag3(): Date;
    set ag3(a: Date);
    private agz;
    get xAxisBreaks(): ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    get s(): FinancialChartRangeSelector;
    set s(a: FinancialChartRangeSelector);
    private z;
    get aa(): FinancialChartTypePicker;
    set aa(a: FinancialChartTypePicker);
    private p;
    get q(): FinancialChartIndicatorMenu;
    set q(a: FinancialChartIndicatorMenu);
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    get au(): Date;
    set au(a: Date);
    private ap;
    get at(): Date;
    set at(a: Date);
    private ao;
    get as(): Date;
    set as(a: Date);
    private an;
    get ar(): Date;
    set ar(a: Date);
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    get y(): FinancialChartType;
    set y(a: FinancialChartType);
    private ah;
    get ai(): TrendLineType;
    set ai(a: TrendLineType);
    private ab;
    get ac(): FinancialChartVolumeType;
    set ac(a: FinancialChartVolumeType);
    private ad;
    get ae(): FinancialIndicatorTypeCollection;
    set ae(a: FinancialIndicatorTypeCollection);
    private af;
    get ag(): FinancialOverlayTypeCollection;
    set ag(a: FinancialOverlayTypeCollection);
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    get u(): FinancialChartRangeSelectorOptionCollection;
    set u(a: FinancialChartRangeSelectorOptionCollection);
    private ak;
    get al(): boolean;
    set al(a: boolean);
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    get v(): Date;
    set v(a: Date);
    get u(): Date;
    set u(a: Date);
    get t(): Date;
    set t(a: Date);
    get s(): Date;
    set s(a: Date);
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    get o(): FinancialChartRangeSelectorOptionCollection;
    set o(a: FinancialChartRangeSelectorOptionCollection);
    private aa;
    private p;
}
